<h1 align="center">ALU-PYQUEST🐍💻</h1>

<img src="https://github.com/Elhameed/ALU-PYQUEST/blob/main/pythonquiz.jpg" />

ALU PYQUEST is a game designed to test your knowledge of Python programming language. It consists of a series of questions related to the Python curriculum, presented one at a time, starting from beginner's level to advanced level. You will have a limited time to answer each question, and for each correct answer, you will earn 10 points, while for each incorrect answer or if you run out of time, 5 points will be deducted from your score. 

## Table of Contents 📑
- [Project Overview](#project-overview)
- [Prerequisites](#prerequisites)
- [Installation](#installation)
- [How To Play](#how-to-play)
- [Screenshots](#screenshots)
- [Demo Video](#demo-video)
- [License](#license)
- [Contributors](#contributors)
- [Acknowlegdement](#acknowledgement)

<h2 id="project-overview">Project Overview 📋</h2>

"ALU PyQuest" is a Python-based scavenger hunt-style game designed for Software Engineering students to reinforce their understanding of the Python curriculum. The game presents a series of questions from beginner's to advanced level, with a limited time to answer each question. The program utilizes Python functions such as Input/Output, loops, conditional statements, data structures, exception handling, scoring system, and a high score feature to check your scores to provide an interactive and fun learning experience for students.

<h2 id="prerequisites">Prerequisites 📚</h2> 

Before installing ALU-PYQUEST, you will need to have pip installed. To check if you have pip installed, open your terminal window and run the following command:
```sh
pip --version
```

If you see a version number in the output, it means that pip is installed. If not, you can install pip by running the following commands in your terminal:
```sh
sudo apt-get update
sudo apt-get install python3-pip
```

Verify that pip has been installed correctly by running:
```sh
pip --version
```

You should see something like:
```sh
user@User:~$ pip --version
pip 20.0.2 from /usr/lib/python3/dist-packages/pip (python 3.8)
user@User:~$
```

<h2 id="installation">Installation 💻</h2>  

To install ALU-PYQUEST, please follow the steps below:
1. Make sure you have Python installed on your computer. If you do not have Python installed, download and install the latest version of Python from the official website: [https://www.python.org/downloads/](https://www.python.org/downloads/)
2. Open the command prompt or terminal on your computer.
3. Install ALU-PyQuest using the following command:
```sh
pip install ALU-PyQuest
```
4. Once the installation is complete, you can launch the game by using the following command:
```sh
PyQuest
```
5. The game will start, and you will be presented with a series of questions related to the Python programming language from beginner to advanced level.


That's it! You're all set to play ALU-PyQuest.

<h2 id="how-to-play">How To Play 🎮</h2> 

1. Open the command prompt or terminal on your computer.
2. Run the following command to start the game:
```sh
user@User:~/$ PyQuest
```
4. Read the question and choose the correct answer from the given options.
5. You have `25` seconds to answer each question.
6. For each correct answer, you will earn `10` points.
7. For each incorrect answer or if you run out of time, `5` points will be deducted from your score.
8. At the end of the game, you will see your total score.
9. You will also be provided with the option to view your high scores.

<h2 id="screenshots">Screenshots 📷</h2> 
Coming soon...

<h2 id="demo-video">Demo Video 🎥</h2> 

You can find a demo of the game at the following link: https://youtu.be/demo-video-link

<h2 id="license">License 📄</h2> 

ALU-PYQUEST is licensed under the MIT License. See the [LICENSE](./LICENSE) file for more information.

<h2 id="contributors">Contributors 👥</h2>  

- [Sadick Achuli](https://github.com/Sadickachuli)
- [Abdulhameed Teniola Ajani](https://github.com/Elhameed)
- [Noella Uwayo](https://github.com/n-uwayo)
- [Sabir Walid](https://github.com/SabirWalid)
- [Mohammed Yasin](https://github.com/MohamedAYasin)
- [Iranzi Prince](https://github.com/iranziprince01)
- [Innocent Manzi](https://github.com/innocentmanzi)
- [Iraduhaye Bukuru Paterne](https://github.com/IraduhayeBukuruPaterne1)

<h2 id="acknowledgement">Acknowledgement 🙏</h2> 

- Special thanks to our instructor, [Mr. Hervé Musangwa](https://www.linkedin.com/in/hervé-musangwa-67478a112/) for reviewing our project and providing feedback that helped improve its quality.
- We also want to acknowledge the BSE Faculty for challenging us to apply the technologies we learned during the term to develop a project that showcases our skills and knowledge in the field.

----------
- If you found ALU-PYQUEST useful, please consider giving this repo a star ⭐️!
